org.apache.ivy.plugins.circular

## Class CircularDependencyHelper

- java.lang.Object
- - org.apache.ivy.plugins.circular.CircularDependencyHelper

    public final class CircularDependencyHelper
    extends java.lang.Object

### Method Summary

Methods
`static java.lang.String` `formatMessage(ModuleDescriptor[] descriptors)`
`static java.lang.String` `formatMessage(ModuleRevisionId[] mrids)` Returns a string representation of this circular dependency graph
`static java.lang.String` `formatMessageFromDescriptors(java.util.List loopElements)`
`static ModuleRevisionId[]` `toMrids(ModuleDescriptor[] descriptors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### formatMessage

    public static java.lang.String formatMessage(ModuleRevisionId[] mrids)

Returns a string representation of this circular dependency graph

Parameters:
  `descriptors` - in order of circular dependency
Returns:
  a string representation of this circular dependency graph

#### formatMessage

    public static java.lang.String formatMessage(ModuleDescriptor[] descriptors)

#### formatMessageFromDescriptors

    public static java.lang.String formatMessageFromDescriptors(java.util.List loopElements)

Parameters:
  `loopElements` - a List<ModuleDescriptor>

#### toMrids

    public static ModuleRevisionId[] toMrids(ModuleDescriptor[] descriptors)